stack-1.3.2: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Upgrade

# Documentation

upgrade #

Arguments

:: (StackM env m, HasConfig env) |
=> ConfigMonoid |
-> Maybe AbstractResolver |
-> Maybe String | git hash at time of building, if known
-> UpgradeOpts |
-> m () |

data UpgradeOpts #

Instances

Show UpgradeOpts # |
Methods showsPrec :: Int -> UpgradeOpts -> ShowS # show :: UpgradeOpts -> String # showList :: [UpgradeOpts] -> ShowS #

upgradeOpts :: Parser UpgradeOpts #